Pour tous les utilisateurs de CloudLinux et DirectAdmin:

La prise en charge de DirectAdmin a été ajoutée avec la dernière version de LVE Manager-4.0-19.7. Cela permet à vous qui utilisent DirectAdmin de tirer parti de toutes les fonctionnalités du sélecteur Node.js, y compris une flexibilité optimale et une interface utilisateur conviviale, pour aider les nouveaux utilisateurs à se familiariser plus rapidement avec le sélecteur Node.js.

Avec CloudLinux Node.js Selector, vous pouvez désormais héberger vos applications JavaScript en utilisant Node.js 6.x, 8.x, 9.x ou 10.x.

Node.js est introduit avec une interface utilisateur conviviale qui réunit toutes les fonctionnalités en un seul endroit et le rend très pratique à gérer.

Pour apprendre à utiliser le sélecteur Node.js, veuillez lire cet article de documentation (anglais)

Si vous souhaitez en savoir plus sur Node.js Selector et comment le déployer, vous pouvez regarder cet enregistrement Webinaire de CloudLinux Academy .

Si vous avez des questions ou des commentaires, n'hésitez pas à nous contacter ici.

Pour mettre à jour run:

yum update alt-python27-cllib lvemanager lve-utils cagefs 

Changelog:

alt-python27-cllib-1.4-10.1

 

  • LVES-907: correction de l'affichage "N / A" au lieu du domaine sur Plesk;
  • LU-775: stderr est maintenant ignoré lors de l'appel de whmapi1 & uapi;
  • LU-762: cPanel fixe postmodifyacct: Aucun fichier ou répertoire de ce type: '/ var / lve / tmp / USERNAME';
  • PTCLLIB-119: une exception lisible par l'utilisateur est affichée lorsque la configuration du gouverneur MySQL est incorrecte;
  • PTCLLIB-117: modification du plugin DirectAdmin cpapi selon les améliorations de DirectAdmin;
  • LU-725: Unicode prétendu retourné avec la clé "app_uri" pour le sélecteur Node.js;
  • LU-735: Ajout d'une possibilité d'utiliser des domaines supplémentaires dans DirectAdmin pour créer des applications Node.js;
  • LU-737: remount_proc.py n'ignore pas maintenant fs.proc_super_gid dans les fichiers /etc/sysctl.d/*;
  • LU-732: sous-domaines fixes dans le crochet pour changer le domaine principal.

lve-utils-3.0-14.3

  • LU-813: message d'erreur incorrect retravaillé lors de la tentative de suppression d'une application avec des dossiers déjà supprimés;
  • LU-773: fait un refactoring du mécanisme de cache dans lvectllib.py;
  • LU-537: ajout d'un travail cron pour la détection du panneau de contrôle et la reconfiguration automatique de notre logiciel;
  • LU-632: admin n'est plus en mesure de définir les limites PMEM et VMEM pour un utilisateur sous Reseller avec des limites;
  • LU-756: carte de synchronisation fixe pour les utilisateurs ayant le même UID;
  • LU-754: on vérifie maintenant que l'utilisateur existe réellement dans le système avant d'avoir d'autres informations;
  • LVEMAN-1269: amélioration du mécanisme d'utilisation de l'icône Node.js dans l'interface utilisateur de l'utilisateur final;
  • LU-752: correction d'un problème où aucun paquet n'est affecté à un utilisateur dans le Gestionnaire LVE lorsque l'abonnement a des plans complémentaires sélectionnés dans Plesk;
  • LU-725: Unicode prétendu retourné avec la clé "app_uri" pour le sélecteur Node.js;
  • LU-661: implémentation des versions de verrouillage Node.js pour la CLI de l'administrateur;
  • LU-731: détection fixe de H-Sphere;
  • LU-662: implémentation du verrouillage pour les applications Node.js;
  • LU-737: remount_proc.py n'ignore pas maintenant fs.proc_super_gid dans les fichiers /etc/sysctl.d/*;
  • LU-693: La commande "selectorctl --interpreter nodejs" imprime maintenant "Veuillez utiliser l'utilitaire cloudlinux-selector à la place";
  • LVEMAN-1260: "--new-app-uri" est désormais facultatif lors du déplacement d'une application vers un nouveau domaine uniquement;
  • LU-740: correction de la trace lors de l'appel de "cloudlinux-selector" lorsque le gestionnaire LVE n'a pas été installé.

cagefs-6.1-23

  • CAG-821: ajout de process_ssl_pending_queue à /etc/cagefs/proxy.commands;
  • LU-797: cldiag fonctionne maintenant lorsque CageFS est désactivé;
  • CAG-818: cagefsctl --setup-cl-selector envoie maintenant SIGHUP aux processus PHP des utilisateurs avec CageFS activé seulement;
  • LU-726: ajout de git à CageFS pour installer les paquets git en utilisant npm;
  • CAG-808: exclut les montages virtfs de CageFS.

lvemanager-4.0-19.7

  • WEB-1069: largeur fixe du bouton sur la page Licence pour les panneaux DirectAdmin et Plesk;
  • WEB-1068: correction de l'erreur concernant la session terminée dans le gestionnaire LVE dans Plesk \ DirectAdmin;
  • WEB-1065: traductions supplémentaires selon LU-813;
  • WEB-1063: onglet fixe Modifier l'application Node.js pour le thème Rétro cPanel;
  • WEB-1064: traduction fixe pour le raccourci de l'application Node.js;
  • WEB-1031: suppression de l'inclusion des indicateurs Imunify360 dans la construction;
  • WEB-1060: correction d'un problème lorsque la page Historique ne peut pas être ouverte dans l'interface Hoster \ Reseller du gestionnaire LVE dans les paramètres régionaux RUS de cPanel;
  • WEB-1058: les modifications pour les limites du revendeur sont maintenant affichées correctement dans le plugin LVE Manager;
  • WEB-986: correction d'un problème lors de la sauvegarde des limites engendrant deux mêmes requêtes après activation / désactivation des limites;
  • WEB-1045: correction d'un problème avec "CageFS switcher" dans le cadre "edit limits" pour les paramètres régionaux "ru";
  • WEB-1040: trace fixe pour l'édition de paquet;
  • WEB-994: ajout d'un message correct \ nom au champ version de Node.js si la version de Node.js pour l'application était désactivée;
  • WEB-1042: activer la localisation en russe dans LVE Manager;
  • WEB-840: traduction russe vérifiée;
  • WEB-1024: L'argument --env-vars fonctionne désormais de la même manière sur DirectAdmin et cPanel;
  • WEB-1025: correction d'un problème d'affichage de "Historique" sur le gestionnaire LVE du revendeur;
  • WEB-1023: listes déroulantes fixes dans le gestionnaire LVE;
  • WEB-1016: affichage SPEED MYSQL fixe. Il est maintenant affiché avec le signe%;
  • WEB-1010: correction du mode angulaire erroné dans la construction de production;
  • WEB-1014: introduction fixe de nouvelles lignes dans l'onglet Utilisateurs après le tri;
  • WEB-1012: erreur du plugin DirectAdmin LVE Manager fixe;
  • WEB-731: L'objet Row est maintenant utilisé dans les onglets Users et Packages à la place de rowNum;
  • WEB-1013: réorganisation des titres manquants pour l'affichage des détails extensibles de l'enregistrement de l'utilisateur;
  • LU-693: La commande "selectorctl --interpreter nodejs" n'imprime pas maintenant "veuillez utiliser l'utilitaire cloudlinux-selector à la place";
  • LVEMAN-1283: suppression des crochets inutiles pour l'extension cPanel LVE;
  • LU-759: lors de l'entrée dans l'environnement virtuel Node.js, le répertoire passe automatiquement à la racine du document apps;
  • LU-702: amélioration de la validation des "variables d'environnement" pour le sélecteur Node.js;
  • WEB-1009: définition fixe du type de bâtiment pour la construction de production;
  • WEB-1004: indication fixe de l'application de démarrage / arrêt dans la liste commune lors du démarrage / arrêt de l'application dans la page d'édition;
  • WEB-975: modification du tri des tables en utilisant des données brutes;
  • WEB-898: correction d'une requête lve-read-snapshot incorrecte;
  • WEB-979: modification de l'utilisation du module Perl switch.pm dans cPanel;
  • WEB-823: le champ de recherche est maintenant utilisé dans les tests d'intégration sur l'onglet Package;
  • WEB-980: le bouton "créer une application" est maintenant désactivé lorsque toutes les versions de Node.js sont désactivées;
  • LU-763: unifié toutes les réponses de l'utilitaire cloudlinux-selector;
  • WEB-588: mise en place d'un retour à la ligne pour les messages d'erreur dans l'onglet Utilisateurs;
  • LVEMAN-1269: amélioration du mécanisme d'utilisation de l'icône Node.js dans l'interface utilisateur de l'utilisateur final;
  • LVEMAN-1275: le cl-quota fixe échoue s'il fonctionne dans le gestionnaire LVE sur DirectAdmin;
  • WEB-997: les dimensions pour la limite EntryProcs n'utilisent pas maintenant;
  • LVEMAN-1272: les applications Node.js déjà créées ne sont pas maintenant masquées pour un utilisateur après l'avoir ajouté à CageFS;
  • WEB-991: problèmes visuels fixes sur les popups et astuces pour l'onglet Node.js sur DirectAdmin;
  • WEB-993: correction du problème CSS pour la liste déroulante "Node.js version" dans la partie utilisateur de Node.js Selector;
  • LU-746: Ajout d'une possibilité de changer de domaine pour l'application même s'il s'agit d'un alias du domaine précédent;
  • Ajout de la version fixe LVEMAN-1277 pour l'application Python sous l'utilisateur;
  • WEB-957: mis à jour angulaire à la 5e version;
  • WEB-964: correction d'erreurs dans la console du navigateur dans Plesk 17.8 pour le gestionnaire LVE;
  • WEB-840: traduction russe vérifiée;
  • WEB-887: a étudié la possibilité de localiser le plugin d'extension LVE pour cPanel;
  • WEB-992: fonctionnalité de recherche fixe dans l'onglet Options pour la possibilité d'utiliser des symboles particuliers dans une phrase de recherche;
  • LU-741: correction de l'application Node.js de démarrage / arrêt sur les domaines d'addons CPanel;
  • WEB-970: tests refactorisés pour utiliser les attributs non angulaires;
  • WEB-414: les grandes tables ne sont pas affichées dans l'interface web des statistiques de l'utilisateur;
  • WEB-971: apparence fixe et alignement du bouton;
  • WEB-963: augmentation de la taille du champ "URL de l'application" du sélecteur Node.js;
  • WEB-780: Ajout de la vérification que seules les méthodes POST et GET sont autorisées pour les requêtes;
  • WEB-324: mise en œuvre de la désactivation de PHP Selector pour Plesk;
  • WEB-961: autorisé le caractère point dans les répertoires d'application;
  • WEB-629: correction d'un problème lorsque le message d'erreur de l'interface utilisateur ne s'affichait pas si la valeur du processeur non valide était définie comme limite d'utilisateur;
  • WEB-969: la clé d'activation et les mots de passe ne sont plus utilisés directement dans la source de code;
  • WEB-776: commutation couverte des limites de revendeur (WEB-762) par des tests d'intégration après la mise en œuvre de l'objet page;
  • WEB-628: PHP Selector: déplacé les cases à cocher des modules PHP de la droite vers la gauche;
  • WEB-988: plugin de revendeur restreint pour l'administrateur DirectAdmin introduit par le revendeur;
  • WEB-928: interface utilisateur créée du sélecteur Node.js pour DirectAdmin;
  • WEB-974: tâche de test-coureur LVE Manager améliorée pour permettre l'utilisation de paramètres supplémentaires;
  • WEB-585: tests d'intégration développés pour la page de licence;
  • LVEMAN-1256: interdit de spécifier le fichier "package.json" dans le fichier de démarrage de l'application pour le sélecteur Node.js;
  • LU-732: sous-domaines fixes dans le crochet pour changer le domaine principal;
  • LU-718: une application est maintenant déplacée vers un nouveau domaine lorsque le domaine est renommé dans DirectAdmin;
  • LU-661: changer la version de l'interpréteur d'application de l'utilisateur verrouille maintenant l'interpréteur;
  • LU-726: ajout de git à CageFS pour installer les paquets git en utilisant npm;
  • LVEMAN-1241: correction d'un problème lorsque la tâche cl-quota -YC cron réinitialise la période de grâce de la limite souple;
  • WEB-937: correction d'un problème avec l'accordéon dans l'onglet Options;
  • WEB-849: fonctionnalité de recherche implémentée dans l'onglet Options;
  • WEB-791: Ajout d'une possibilité de gérer les limites des utilisateurs de "Current Usage" dans le plugin du revendeur;
  • WEB-965: correction d'un problème survenu lors de la création d'une nouvelle application Node.js;
  • WEB-944: il n'est pas possible de déclencher l'installation des paquets npm en cliquant à l'extérieur du bouton "Run NPM Install";
  • WEB-945: amélioration du comportement du bouton "Exécuter l'installation NPM" pour l'interface utilisateur de l'utilisateur final du sélecteur Node.js;
  • LU-693: La commande "selectorctl --interpreter nodejs" imprime maintenant "Veuillez utiliser l'utilitaire cloudlinux-selector à la place";
  • WEB-949: correction d'affichage d'un message d'erreur dans l'onglet Sélecteur lorsque CageFS n'est pas encore installé;
  • WEB-956: système de test adapté pour un nouveau système de construction (correctif);
  • WEB-932: correction d'un emplacement du message sur la désactivation de Node.js;
  • WEB-958: résolu un conflit lors de l'exécution des tests d'Admin en flux parallèle;
  • WEB-968: tests Node.js améliorés pour détecter la version complète de Node.js;
  • LVEMAN-1260: "--new-app-uri" est désormais facultatif lors du déplacement de l'application vers le nouveau domaine uniquement;
  • WEB-930: la page "plugin n'est pas disponible" est maintenant affichée aux utilisateurs lorsque le sélecteur Node.js est désactivé;
  • WEB-943: couvert par l'onglet "Options" du revendeur tests d'intégration;
  • WEB-872: correction d'un problème lorsque les champs de saisie pour le gouverneur MySQL ne se cachent / n'apparaissent pas lors de l'activation / désactivation du suivi de l'utilisateur par le gouverneur MYSQL;
  • WEB-890: autotests implémentés pour l'onglet "Current Usage" du revendeur;
  • WEB-911: modification de la demande d'activation / désactivation de la version Node.js;
  • WEB-915: texte corrigé dans LVEManager pour la configuration du gouverneur de la base de données;
  • WEB-920: suppression des anciens fichiers du plug-in LVE Manager après la mise à jour vers la version SPA dans DirectAdmin;
  • WEB-923: barre de progression améliorée tandis que "cache init" pour Node.js dans l'onglet Options du gestionnaire LVE;
  • WEB-929: suppression de la dépendance du prototype dans Plesk pour le gestionnaire LVE;
  • WEB-933: amélioration du comportement de la liste déroulante "Choisir la version" de l'onglet Node.js - interface utilisateur d'administration;
  • WEB-939: boutons fonctionnels fixes dans des formulaires pour l'édition d'applications Node.js;
  • WEB-936: amélioration de l'édition de l'application du côté utilisateur du sélecteur Node.js;
  • WEB-934: amélioration du passage de la liste des versions à la liste des applications dans la partie admin du sélecteur Node.js;
  • WEB-928: créer l'interface utilisateur de Node.js Selector pour DirectAdmin.


 lundi, juillet 9, 2018



« Retour